<div class="dashboard-heading">

    <div class="all">
        <div class="starter-stats">


            <div class="" *ngIf="incomedata">

                <div class="col-12  card card-4">
                    <h3>Vos revenus</h3>
                    <h5 class="mb-3">Aperçu des revenus</h5>
                    <!-- <div style="display: flex;" class="row">
                        <div  class="col-lg-3 col-md-3 col-sm-6 col-12 " style="border-right:1px solid gray">
                            <h2>À libérer <i class="fa fa-heart" style="color:orange"></i></h2>
                            <h1> <small> Total: <b>RM</b></small> {{incomedata.data.pending_amount |  number : '1.2-2'}} CFA</h1>
                         </div>
                         <div  class="col-lg-3 col-md-3 col-sm-6 col-12 ">
                            <h2>Cette semaine </h2>
                            <h1> <small> Total: <b>RM</b></small> {{incomedata.data.thisweekearnings |  number : '1.2-2'}} CFA</h1>
                         </div>
                         <div  class="col-lg-3 col-md-3 col-sm-6 col-12 ">
                            <h2>Ce mois-ci </h2>
                            <h1> <small> Total: <b>RM</b></small> {{incomedata.data.thismonthearnings |  number : '1.2-2'}} CFA</h1>
                         </div>
                         <div  class="col-lg-3 col-md-3 col-sm-6 col-12 ">
                            <h2>Total</h2>
                            <h1> <small> Total: <b>RM</b></small> {{incomedata.data.totalearning |  number : '1.2-2'}} CFA</h1>
                         </div>
                    </div> -->
                    <div class="row">
                        <!-- <div class="col-lg-2 col-md-3 col-sm-6 col-12">
                            <div class="in-come">
                                <h5>Montant en attente</h5>
                                <p>Total: <span>{{incomedata.data.pending_amount |  number : '1.2-2'}}</span> CFA</p>
                            </div>
                        </div> -->
                        <div class="col-lg-2 col-md-3 col-sm-6 col-12">
                            <div class="in-come">
                                <h5>Cette semaine</h5>
                                <p>Total: <span>{{incomedata.data.thisweekearnings |  number : '1.2-2'}}</span> CFA</p>
                            </div>
                        </div>
                        <div class="col-lg-2 col-md-3 col-sm-6 col-12">
                            <div class="in-come">
                                <h5>Ce mois-ci</h5>
                                <p>Total: <span>{{incomedata.data.thismonthearnings |  number : '1.2-2'}}</span> CFA</p>
                            </div>
                        </div>
                        <div class="col-lg-2 col-md-3 col-sm-6 col-12">
                            <div class="in-come">
                                <h5>Annulés</h5>
                                <p>Total: <span>{{incomedata.data.totalCancelEarning |  number : '1.2-2'}}</span> CFA</p>
                            </div>
                        </div>
                        <div class="col-lg-2 col-md-3 col-sm-6 col-12">
                            <div class="in-come">
                                <h5>Total</h5>
                                <p>Total: <span>{{incomedata.data.totalearning |  number : '1.2-2'}}</span> CFA</p>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="col-12  card card-4 card-income">
                    <h5> Détails des revenus</h5>
                    <div class=""><br>
                        <div class="row mb-3">
                            <div class="col-lg-12 col-md-12 col-sm-12 col-12 ">
                               
                                <form>
                                    <div class="">
                                        <div class="clearfix"></div>
                                        <div class="row">
                                            <div class="col-lg-9 col-md-9 col-sm-9 col-12">
                                                <div class="row">
                                                    <div class="col-lg-6 col-md-6 col-sm-6 col-6 a-s-e r-chr1">
                                                        <div class="dg">
                                                            <label class="form-label w-100" for="">Date de début:
                                                                &nbsp;</label>
                                                            <!-- <input type="date" formControlName="start_date" class="form-control"> -->
                                                            <mat-form-field>
                                                                <input matInput [matDatepicker]="dp"
                                                                    placeholder="dd/mm/aaaa">
                                                                <mat-datepicker-toggle matSuffix
                                                                    [for]="dp"></mat-datepicker-toggle>
                                                                <mat-datepicker #dp></mat-datepicker>
                                                            </mat-form-field>
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-6 col-md-6 col-sm-6 col-6 a-s-e r-chr1">
                                                        <div class="dg">
                                                            <label for="" class="form-label w-100"> Date de fin :
                                                                &nbsp;</label>
                                                            <!-- <input type="date" formControlName="end_date" class="form-control"> -->
                                                            <mat-form-field>
                                                                <input matInput [matDatepicker]="dp1"
                                                                    placeholder="mm/dd/aaaa">
                                                                <mat-datepicker-toggle matSuffix
                                                                    [for]="dp1"></mat-datepicker-toggle>
                                                                <mat-datepicker #dp1></mat-datepicker>
                                                            </mat-form-field>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-lg-3 col-md-3 col-sm-3 col-12 a-s-e r-chr1">
                                                <button class="btn btn-back w-100 filter-button filter-button" style=""
                                                    type="submit" (click)="filterTable()">Recherche</button>
                                            </div>
                                        </div>
                                        <div class="clearfix"></div>

                                    </div>

                                </form>
                            </div>
                            <div class="col-lg-12 col-md-12 col-sm-12 col-12 "><br>
                                <div class="table-responsive">
                                    <table class="table table-bordered tbl-sell tbl-txt">
                                        <thead class="th-bg">
                                            <tr>
                                                <th>Commande</th>
                                                <th>Estimation Date du rapport</th>
                                                <th>Statut</th>
                                                <th>Mode de paiement</th>
                                                <th>Montant du paiement</th>

                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr *ngFor="let bank of incomedata.data.paidorders | filter:searchText">
                                                <td width="20%" style="color:#2171ae;padding: 10px;">#{{bank._id}}
                                                </td>
                                                <td width="20%">
                                                    {{bank.date_of_transaction |date:'MMM d, y, hh\'h\'mm'}}
                                                </td>
                                                <td width="20%">
                                                    <div class='badge' style="color: green;" *ngIf="bank.payment_status == true">
                                                        Terminé
                                                    </div>
                                                    <div class='badge' style="color: red;" *ngIf="bank.payment_status == false">
                                                        En attente
                                                    </div>
                                                </td>
                                                <td width="20%">
                                                    {{bank.payment_method}}
                                                </td>
                                                <td width="20%">
                                                    {{bank.payment_amount | number : '1.2-2'}} CFA
                                                </td>


                                            </tr>
                                            <tr *ngIf="incomedata.data.paidorders.length == 0">
                                                <div style="text-align: center;">
                                                    <img class="mw-100" src="./assets/build/img/not2.png" width="300" />
                                                </div>
                                                
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>



                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>